# ChangeLog for app-crypt/johntheripper
# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/app-crypt/johntheripper/ChangeLog,v 1.52 2007/02/20 21:12:24 phreak Exp $

  20 Feb 2007; Christian Heim <phreak@gentoo.org>
  johntheripper-1.7.2.ebuild:
  Fixing linking for amd64, thanks to Tony in #167731.

  30 Dec 2006; Fabian Groffen <grobian@gentoo.org>
  johntheripper-1.6.40.ebuild, johntheripper-1.7.0.2.ebuild,
  johntheripper-1.7.2.ebuild:
  Dropped ppc-macos keyword, see you in prefix

  04 Dec 2006; Alexander H. Færøy <eroyf@gentoo.org>
  johntheripper-1.7.2.ebuild:
  Stable on MIPS.

  19 Oct 2006; Bryan Østergaard <kloeri@gentoo.org>
  johntheripper-1.7.2.ebuild:
  Stable on Alpha.

  16 Oct 2006; Simon Stelling <blubb@gentoo.org> johntheripper-1.7.2.ebuild:
  fix the use mmx && amd64 case

  15 Oct 2006; Tobias Scherbaum <dertobi123@gentoo.org>
  johntheripper-1.7.2.ebuild:
  hppa stable

  29 Sep 2006; Markus Rothe <corsair@gentoo.org> johntheripper-1.7.2.ebuild:
  Stable on ppc64

  27 Sep 2006; Jason Wever <weeve@gentoo.org> johntheripper-1.7.2.ebuild:
  Stable on SPARC.

  27 Sep 2006; Simon Stelling <blubb@gentoo.org> johntheripper-1.7.2.ebuild:
  stable on amd64

  20 Sep 2006; Joshua Jackson <tsunam@gentoo.org>
  johntheripper-1.7.2.ebuild:
  stable x86 bug #147027

  16 Sep 2006; Tobias Scherbaum <dertobi123@gentoo.org>
  johntheripper-1.7.2.ebuild:
  ppc stable

*johntheripper-1.7.2 (04 Aug 2006)

  04 Aug 2006; Christian Heim <phreak@gentoo.org>
  +files/johntheripper-1.7.2-params.h.patch,
  +files/johntheripper-1.7.2-sha1-memset.patch,
  +files/johntheripper-1.7.2-stackdef.S.patch,
  +files/johntheripper-1.7.2-stripping.patch, metadata.xml,
  +johntheripper-1.7.2.ebuild:
  Taking maintainership. Version bump. Fixing #132844 (thanks Alex Efros
  <powerman-asdf at yandex.ru>), #136719 (thanks to jakub), #140468 (thanks to
  Max Dilay <max.dilay at gmail.com>).

  15 Jun 2006; Pieter Van den Abeele <pvdabeel@gentoo.org>
  Typo in this one too.

  15 Jun 2006; Luca Barbato <lu_zero@gentoo.org>
  johntheripper-1.7.0.2.ebuild:
  Typo in the ebuild

*johntheripper-1.7.0.2 (04 Jun 2006)

  04 Jun 2006; Daniel Black <dragonheart@gentoo.org>
  +files/johntheripper-1.7.0.2-stackdef.S, +johntheripper-1.7.0.2.ebuild:
  version bump as per bug #122435. Thanks Allan Que for the ebuild and all others

  11 Apr 2006; Daniel Black <dragonheart@gentoo.org> +files/clk_tck.patch,
  johntheripper-1.6.40.ebuild:
  CLK_TCK to CLOCKS_PER_SEC bug #126102 refers. Thanks to Michael Terepeta and
  Mikko Tiihonen

  14 Jan 2006; Daniel Black <dragonheart@gentoo.org>
  johntheripper-1.6-r3.ebuild:
  fixed -lm in 1.6-r3 bug #106652

  14 Jan 2006; Daniel Black <dragonheart@gentoo.org>
  johntheripper-1.6.40.ebuild:
  added -lm to link flags to solve missing symbol floor. Thanks to Craig
  Hughes in bug #118732 and others

  07 Jan 2006; Daniel Black <dragonheart@gentoo.org>
  johntheripper-1.6.ebuild:
  executable stacks removed from 1.6 as per bug #118185 thanks Toralf Forster

*johntheripper-1.6.40 (07 Jan 2006)

  07 Jan 2006; Daniel Black <dragonheart@gentoo.org>
  johntheripper-1.6-r3.ebuild, -johntheripper-1.6.37_p11.ebuild,
  -johntheripper-1.6.38.ebuild, +johntheripper-1.6.40.ebuild:
  johntheripper-1.6-r3 - fixed executable stack. Fixed bad k6 logic. Added
  selftest. Removed nonuser CFLAG usage (-finline-functions -funroll-loops).
  Added johntheripper-1.6.40 - bug #116706 thanks to Michael Gaber. 1.6.40 is
  still masked due to unidentified TEXTREL. Removed other unstable versions as
  insufficient files were installed - bug #114677 thanks to Matthias Bethke

  06 Jan 2006; Fabian Groffen <grobian@gentoo.org>
  johntheripper-1.6.38.ebuild:
  Allow compilation on ppc-macos again; in elseif statements, have most specific
  match first.  Now the right case is matched, also fix the make target
  invocation.  Marked ~ppc-macos (bug #106606)

  20 Sep 2005; Marcelo Goes <vanquirius@gentoo.org>
  johntheripper-1.6-r3.ebuild:
  Back to ~x86 because of bug 106652.

  19 Sep 2005; Marcelo Goes <vanquirius@gentoo.org>
  johntheripper-1.6-r3.ebuild:
  1.6-r3 x86 stable.

  09 Sep 2005; Aron Griffis <agriffis@gentoo.org>
  johntheripper-1.6-r3.ebuild:
  Mark 1.6-r3 stable on alpha

*johntheripper-1.6.38 (23 Aug 2005)
*johntheripper-1.6.37_p11 (23 Aug 2005)

  23 Aug 2005; Daniel Black <dragonheart@gentoo.org>
  -johntheripper-1.6.37_p1.ebuild, +johntheripper-1.6.37_p11.ebuild,
  +johntheripper-1.6.38.ebuild:
  fixes to bug #76399 (removed johntheripper-1.6.37_p1). replaced with
  johntheripper-1.6.37_p11 and johntheripper-1.6.38

  21 Apr 2005; Simon Stelling <blubb@gentoo.org>
  johntheripper-1.6.37_p1.ebuild:
  stable on amd64

  29 Mar 2005; Markus Rothe <corsair@gentoo.org>
  johntheripper-1.6.37_p1.ebuild:
  Stable on ppc64

  01 Jan 2005; Markus Rothe <corsair@gentoo.org>
  johntheripper-1.6.37_p1.ebuild:
  Added ~ppc64 to KEYWORDS

*johntheripper-1.6.37_p1 (01 Jan 2005)

  01 Jan 2005; Daniel Black <dragonheart@gentoo.org>
  -johntheripper-1.6-r1.ebuild, -johntheripper-1.6.37-r1.ebuild,
  +johntheripper-1.6.37_p1.ebuild, metadata.xml:
  Version bump removes old version. New _p1 version contains new patches and
  fixes bug #59195 (by Benoit Izac <benoit.izac@free.fr>) and bug #56528
  (Alexander Holler <aholler@gentoo.de>)

  28 Nov 2004; Simon Stelling <blubb@gentoo.org>
  johntheripper-1.6.37-r1.ebuild:
  added ~amd64

  01 Nov 2004; Lars Weiler <pylon@gentoo.org>
  johntheripper-1.6.37-r1.ebuild:
  Fixed ebuild so that the patch applies correctly. Also marked stable on ppc,
  as requested in Bug #44203.

  02 Oct 2004; Aaron Walker <ka0ttic@gentoo.org>
  johntheripper-1.6.37-r1.ebuild:
  Compress gentoo patch; fixes bug #61804

  19 Sep 2004; Tom Gall <tgall@gentoo.org> johntheripper-1.6-r3.ebuild:
  stable on ppc64, bug #60890

  29 Jun 2004; Aron Griffis <agriffis@gentoo.org> johntheripper-1.6-r1.ebuild,
  johntheripper-1.6-r3.ebuild, johntheripper-1.6.ebuild:
  sync IUSE (+kerberos, +mysql, -samba), add sed-4 dep

  01 Jun 2004; Aron Griffis <agriffis@gentoo.org> johntheripper-1.6-r1.ebuild,
  johntheripper-1.6.ebuild:
  Fix use invocation

  25 May 2004; Daniel Black <dragonheart@gentoo.org>
  johntheripper-1.6.37-r1.ebuild:
  Fix for bug #51795. generic make target for x86(non-mmx/non-k6) changed to
  linux-x86-any-elf. hppa and mips removed from keywords until generic target
  has been fixed. Added missing kerberos use flag too. Thanks to Owen Ford 
  <oford@arghblech.com> and others for the bug report.

*johntheripper-1.6.37-r1 (24 May 2004)

  24 May 2004; Daniel Black <dragonheart@gentoo.org>
  +johntheripper-1.6.37-r1.ebuild, -johntheripper-1.6.37.ebuild:
  Fixed patches

*johntheripper-1.6.37 (22 May 2004)

  22 May 2004; Daniel Black <dragonheart@gentoo.org>
  -johntheripper-1.6-r2.ebuild, johntheripper-1.6-r3.ebuild,
  +johntheripper-1.6.37.ebuild:
  version bump to solve bug #44203. johntheripper-1.6-r3 small
  dependancy fix.

*johntheripper-1.6-r3 (20 May 2004)

  20 May 2004; Daniel Black <dragonheart@gentoo.org>
  +johntheripper-1.6-r3.ebuild:
  fixes to bug #51442 and bug #49988. Thanks to Ghislain Bourgeois
  <ghislain48@hotmail.com>

*johntheripper-1.6-r2 (18 May 2004)

  18 May 2004; Daniel Black <dragonheart@gentoo.org>
  +files/john-ntlm.skey.patch, +johntheripper-1.6-r2.ebuild
  +metadata.xml:
  fixes thanks to Ghislain Bourgeois ghislain48@hotmail.com in bug #49988.
  All patches are patching the same area of code. mysql dropped due
  conficts with other patches.

  01 Oct 2003; Tavis Ormandy <taviso@gentoo.org> johntheripper-1.6.ebuild:
  Stable on alpha

  13 Feb 2003; Guy Martin <gmsoft@gentoo.org> johntheripper-1.6.ebuild :
  Changed keyword ~hppa to hppa.

*johntheripper-1.6-r1 (13 Feb 2003)

  13 Feb 2003;  <zhen@gentoo.org> johntheripper-1.6-r1.ebuild files/digest-johntheripper-1.6-r1 :
  new version that uses patches for ntlm, mysql, etc password cracking

  13 Feb 2003;  <zhen@gentoo.org> johntheripper-1.6-r1.ebuild files/digest-johntheripper-1.6-r1 :
  new

*johntheripper-1.6 (22 May 2002)

  28 Mar 2003; Pieter Van den Abeele <pvdabeel@gentoo.org> johntheripper-1.6.ebuild :
  Moved to stable ppc

  09 Feb 2003; Seemant Kulleen <seemant@gentoo.org> johntheripper-1.6.ebuild :

  Changed to use epatch. Also, changed sed expression delimiters from / to
  :, closing bug #15006 by Blu3 <david+gentoo.org@blue-labs.org>

  06 Dec 2002; Rodney Rees <manson@gentoo.org> : changed sparc ~sparc keywords
 
  22 May 2002; Grant Goodyear <g2boojum@gentoo.org> 

  New package.  I use the debian patch because it contains some
  useful hacks to make john fit in an LFS filesystem (not to 
  mention man pages).
 
-- Explanation of ChangeLog format:
 
  Every new version or revision of the package should be marked by a '*'
  seperator line as above. Changes since the last revision have to be added to
  the top of the file, underneath the initial copyright and cvs header
  comments, in exactly the same format as this comment.
  
  This means that you start with header line that has the following format,
  indented two spaces:
  
  DD MMM YYYY; your_name <your_email> changed_file1, changed_file2: Your
  explanation should follow. It should be indented and wrapped at a line width
  of 80 characters.  The changed_files can be omitted if they are obvious; for
  example, if you are only modifying the .ebuild file and committing a new rev
  of a package.  Any details about what exactly changed in the code should be
  added as a message when the changes are committed to cvs, not in this file.
